.page-payment-root {
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.page-payment-root > * {
    /* margin-top: -13rem; */
}

.page-payment-root .current-payment {
    margin-top: -8rem;
}

.page-payment-root .current-payment .title {
    font-size: 2rem;
    text-align: center;
    font-family: cursive;
}

.page-payment-root .pay-button-list {
    position: fixed;
    bottom: 5rem;
    z-index: 111;
    display: flex;
    flex-direction: column;
}
.page-payment-root .pay-button-list .pay {
    width: 82vw;
    left: 9vw;
    color: white;
    padding: 1rem;
    font-size: 1.8rem;
    font-family: 'Courier New', Courier, monospace;
    font-weight: bold;
}
.page-payment-root .pay-button-list .cancel {
    margin-top: 2rem;
    font-size: 1.3rem;
    background: none;
    border: none;
    text-decoration: underline;
    color: var(--red);
}

.page-payment-root .pay .text {
    opacity: 0.7;
    font-size: 2.2rem;
}

.page-payment-root .last-payment {
    margin-top: 0;
    margin-bottom: 1rem;
}

.page-payment-root .last-payment > .success {
    text-align: center;
    background: hsl(119.55deg 100% 96.08%);
    color: hsl(111.29deg 100% 40%);
    border: 3px dashed hsl(111.29deg 100% 40%);
    border-radius: 12px;
    padding: 1rem;
    box-sizing: border-box;
    max-width: 90vw;
}

.page-payment-root .last-payment > .success .title {
    font-weight: bold;
    margin-bottom: 1rem;
}

.page-payment-root .last-payment > .success .amount {
    font-size: 2rem;
    margin-top: 1rem;
}



.page-payment-root .last-payment > .error,
.page-payment-root > .msg.error {
    text-align: center;
    background: #ffebeb;
    color: hsl(0 100% 40% / 1);
    border: 3px dashed hsl(0 100% 40% / 1);
    border-radius: 12px;
    padding: 1rem;
    box-sizing: border-box;
    max-width: 90vw;
    margin-top: -9rem;
}

.page-payment-root .last-payment .payment-error > .kaw-icon {
    width: 50vw;
}

.page-payment-root .last-payment > .error > .title {
    font-weight: bold;
    margin-bottom: 1rem;
}


.page-payment-root .enter-amount {
    width: min(300px, 90vw);
    display: flex;
    justify-content: center;
    align-items: center;
    background: #0099e047;
    font-size: 3rem;
    padding: 1rem;
    box-sizing: border-box;
    border-radius: 12px;
}

.page-payment-root .custom-label {
    margin-top: 1rem;
}

.page-payment-root .custom-label > .label {
    text-decoration: underline;
    text-align: center;
}

.page-payment-root .custom-label > textarea {
    width: 90%;
    margin-left: 5%;
    box-sizing: border-box;
    border-radius: 4px;
    border: 1px solid #aaa;
    height: 100px;
    padding: 1rem;
}